/*
 HexInputServer.h
 Copyright (c) 1998, Apple Computer, Inc.

 You may incorporate this sample code into your applications without
 restriction, though the sample code has been provided "AS IS" and the
 responsibility for its operation is 100% yours.  However, what you are
 not permitted to do is to redistribute the source as "DTS Sample Code"
 after having made changes. If you're going to re-distribute the source,
 we require that you make it clear in the source that the code was
 descended from Apple Sample Code, but that you've made changes.
*/

#import <AppKit/NSInputServer.h>

@class NSStatusItem;
@class NSTextField;

// This class implements NSInputServiceProvider protocol
@interface HexInputServer : NSObject <NSInputServiceProvider> {
    NSMutableDictionary *_clientTable; // table contains HexInputContext objects
    id _currentClientContext;
    BOOL _isEnabled;
}

+ (id)sharedInstance;
+ (NSTextField *)inputFeedbackField;
+ (NSStatusItem *)auxMenuStatusItem;

@end
